Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic.theme
Class SkyBluer

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.looks.plastic.PlasticTheme
                  com.jgoodies.looks.plastic.theme.SkyBluer

Direct Known Subclasses:
  AbstractSkyTheme, DesertBluer

    public class SkyBluer

extends PlasticTheme

A theme with medium blue primary colors and a light gray window background.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

Constructor Summary
`SkyBluer()`

Method Summary
`void` | `addCustomEntriesToTable(UIDefaults table)`
`ColorUIResource` | `getFocusColor()`
`ColorUIResource` | `getMenuItemSelectedBackground()`
`ColorUIResource` | `getMenuItemSelectedForeground()`
`ColorUIResource` | `getMenuSelectedBackground()`
`String` | `getName()`
`protected ColorUIResource` | `getPrimary1()`
`protected ColorUIResource` | `getPrimary2()`
`protected ColorUIResource` | `getPrimary3()`
`protected ColorUIResource` | `getSecondary1()`
`protected ColorUIResource` | `getSecondary2()`
`protected ColorUIResource` | `getSecondary3()`

Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme
`equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextColor, getTitleTextFont, getToggleButtonCheckColor, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkyBluer

    public SkyBluer()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `DefaultMetalTheme`

### getPrimary1

    protected ColorUIResource getPrimary1()

  Overrides:
    `getPrimary1` in class `DefaultMetalTheme`

### getPrimary2

    protected ColorUIResource getPrimary2()

  Overrides:
    `getPrimary2` in class `DefaultMetalTheme`

### getPrimary3

    protected ColorUIResource getPrimary3()

  Overrides:
    `getPrimary3` in class `DefaultMetalTheme`

### getSecondary1

    protected ColorUIResource getSecondary1()

  Overrides:
    `getSecondary1` in class `DefaultMetalTheme`

### getSecondary2

    protected ColorUIResource getSecondary2()

  Overrides:
    `getSecondary2` in class `DefaultMetalTheme`

### getSecondary3

    protected ColorUIResource getSecondary3()

  Overrides:
    `getSecondary3` in class `DefaultMetalTheme`

### getMenuItemSelectedBackground

    public ColorUIResource getMenuItemSelectedBackground()

  Overrides:
    `getMenuItemSelectedBackground` in class `PlasticTheme`

### getMenuItemSelectedForeground

    public ColorUIResource getMenuItemSelectedForeground()

  Overrides:
    `getMenuItemSelectedForeground` in class `PlasticTheme`

### getMenuSelectedBackground

    public ColorUIResource getMenuSelectedBackground()

  Overrides:
    `getMenuSelectedBackground` in class `MetalTheme`

### getFocusColor

    public ColorUIResource getFocusColor()

  Overrides:
    `getFocusColor` in class `MetalTheme`

### addCustomEntriesToTable

    public void addCustomEntriesToTable(UIDefaults table)

  Overrides:
    `addCustomEntriesToTable` in class `MetalTheme`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.